# Uses of Class
org.jboss.modules.ClassSpec

Packages that use ClassSpec
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of ClassSpec in org.jboss.modules

Methods in org.jboss.modules that return ClassSpec
Modifier and Type
Method
Description
`ClassSpec`
AbstractResourceLoader.`getClassSpec(String fileName)`
`ClassSpec`
ResourceLoader.`getClassSpec(String fileName)`
Get the class specification for the given class name.
`ClassSpec`
ClassSpec.`setAssertionSetting(AssertionSetting assertionSetting)`
Set the class assertion setting.
`ClassSpec`
ClassSpec.`setByteBuffer(ByteBuffer byteBuffer)`
Set the class byte buffer.
`ClassSpec`
ClassSpec.`setBytes(byte[] bytes)`
Set the class file bytes.
`ClassSpec`
ClassSpec.`setCodeSource(CodeSource codeSource)`
Set the code source (should not be `null`).
Methods in org.jboss.modules with parameters of type ClassSpec
Modifier and Type
Method
Description
`protected void`
ModuleClassLoader.`postDefine(ClassSpec classSpec, Class<?> definedClass)`
A hook which is invoked after a class is defined.
`protected void`
ModuleClassLoader.`preDefine(ClassSpec classSpec, String className)`
A hook which is invoked before a class is defined.